Subject: Re: bug#36313: 12.1.2; percent symbol in \url{}

From: jfbu <[email-masked]>
Date: Fri, 28 Jun 2019 11:40:10 +0200

Hi,

Only for testimony regarding this :

Le 27/06/2019 à 13:09, Ryo Furue a écrit :
> Thank you very much for this helpful information!  Now I understand that
> the reason for the objection is that if the variable is set to t,
> 
> AUCTeX [would] rifle through whole remote directory hierarchies in the
> search for style files.  [This is a quote from David Kastrup.]

Turns out that for a number of years my office set-up had
a somewhat esoteric way to mount a remote volume which is
only location where I had the rights to install the 5G+
TeXLive releases.

I can confirm that the parsing by AUCTeX of document style
files, starting with \documentclass was excruciatingly slow
on this system (not AUCTeX fault I presume, simply the weird
mount system imposed upon us by the sysadmins.).

Basically for a period of 10 years I was very cautious
to type in full \documentclass{article} etc... and
not rely on C-cC-e with 'document' which would result in a
scan of possible classes, bringing Emacs to a halt in
user interaction and possibility to modify the buffer
for a very long time

For those who care, the situation got fixed recently by
the sysadmins adopting another mount system. (they killed
my access to Maple doing this, but that is another story).

I know this is anecdotical, although not quite off-topic
I hope.

Best,

Jean-François